# see https://docs.codecov.io/docs/codecov-yaml
# Validation check:
# $ curl --data-binary @.codecov.yml https://codecov.io/validate

#codecov:
#  notify:
#    require_ci_to_pass: yes

coverage:
  precision: 0  # 2 = xx.xx%, 0 = xx%
  round: nearest # how coverage is rounded: down/up/nearest
  range: 40...100 # custom range of coverage colors from red -> yellow -> green
  status:
    # https://codecov.readme.io/v1.0/docs/commit-status
    project:
      default:
        against: auto
        target: 90% # specify the target coverage for each commit status
        threshold: 20% # allow this little decrease on project
        # https://github.com/codecov/support/wiki/Filtering-Branches
        # branches: master
        if_ci_failed: error
    # https://github.com/codecov/support/wiki/Patch-Status
    patch:
      default:
        against: auto
        target: 40% # specify the target "X%" coverage to hit
        # threshold: 50% # allow this much decrease on patch
    changes: false

parsers:
  gcov:
    branch_detection:
      conditional: true
      loop: true
      macro: false
      method: false
  javascript:
    enable_partials: false

comment:
  layout: header, diff
  require_changes: false
  behavior: default  # update if exists else create new
  # branches: *
